import Vue from "vue";
import Router from "vue-router";

import routerBefore from "@/config/routerBefore.js";
// 主要
import main from "@/components/main.vue";
// 系统配置管理
const editBill = () => import( "../components/billingOrder/updateBill.vue");
const intrainst_real = () => import( "../components/intrainst/intrainst_real.vue");
const offsite_check = () => import( "../components/offsite/offsite_check.vue");
const offsite_close = () => import( "../components/offsite/offsite_close.vue");
const offsite_inbound = () => import( "../components/offsite/offsite_inbound.vue");
const offsite_outbound = () => import( "../components/offsite/offsite_outbound.vue");
const offsite_sendreceive = () => import( "../components/offsite/offsite_sendreceive.vue");
const loadPortStock = () => import( "../components/port_deposit/loadPortStock.vue");
const port_deposit_inbound_add = () => import( "../components/port_deposit/port_deposit_inbound_add.vue");
const port_deposit_inbound_edit = () => import( "../components/port_deposit/port_deposit_inbound_edit.vue");
const port_deposit_inbound = () => import( "../components/port_deposit/port_deposit_inbound.vue");
const port_deposit_outbound = () => import( "../components/port_deposit/port_deposit_outbound.vue");
const unloadPortStock = () => import( "../components/port_deposit/unloadPortStock.vue");
const addTransfer = () => import( "../components/steel/addTransfer.vue");
const billOfLading = () => import( "../components/steel/billOfLading.vue");
const billOfLadingAdd = () => import( "../components/steel/billOfLadingAdd.vue");
const editSteel_restack = () => import( "../components/steel/editSteel_restack.vue");
const inboundDetails = () => import( "../components/steel/inboundDetails.vue");
const insertCheckInventory = () => import( "../components/steel/insertCheckInventory.vue");
const insertTransfer = () => import( "../components/steel/insertTransfer.vue");
const steel_check = () => import( "../components/steel/steel_check.vue");
const steel_close = () => import( "../components/steel/steel_close.vue");
const steel_inbound = () => import( "../components/steel/steel_inbound.vue");
const steel_inboundReal = () => import( "../components/steel/steel_inboundReal.vue");
const steel_reserved = () => import( "../components/steel/steel_reserved.vue");
const steel_outbound = () => import( "../components/steel/steel_outbound.vue");
const steel_real = () => import( "../components/steel/steel_real.vue");
const steel_realDown = () => import( "../components/steel/steel_realDown.vue");
const steel_rebound = () => import( "../components/steel/steel_rebound.vue");
const steel_restack = () => import( "../components/steel/steel_restack.vue");
const steel_restackAdd = () => import( "../components/steel/steel_restackAdd.vue");
const steel_sendreceive = () => import( "../components/steel/steel_sendreceive.vue");
const steel_transfer = () => import( "../components/steel/steel_transfer.vue");
const steel_checkWarehouse = () => import( "../components/steel/checkWarehouse.vue");
const steel_addCheckWarehouse = () => import( "../components/steel/addCheckWarehouse.vue");
const addSteelInbound = () => import( "../components/steel/addSteelInbound.vue");
const addSteelReserved = () => import( "../components/steel/addSteelReserved.vue");
const steel_outboundStatistics = () => import( "../components/steel/steel_outboundStatistics.vue");
const steel_inboundStatistics = () => import( "../components/steel/steel_inboundStatistics.vue");
const inboundEas03 = () => import( "../components/steel/inboundEas03.vue");

// 一帮库页面配置
const bar1_addTransfer = () => import( "../components/steel/bar1_steel/bar1_addTransfer.vue");
const bar1_billOfLading = () => import( "../components/steel/bar1_steel/bar1_billOfLading.vue");
const bar1_billOfLadingAdd = () => import( "../components/steel/bar1_steel/bar1_billOfLadingAdd.vue");
const bar1_editSteel_restack = () => import( "../components/steel/bar1_steel/bar1_editSteel_restack.vue");
const bar1_inboundDetails = () => import( "../components/steel/bar1_steel/bar1_inboundDetails.vue");
const bar1_insertCheckInventory = () => import( "../components/steel/bar1_steel/bar1_insertCheckInventory.vue");
const bar1_insertTransfer = () => import( "../components/steel/bar1_steel/bar1_insertTransfer.vue");
const bar1_steel_check = () => import( "../components/steel/bar1_steel/bar1_steel_check.vue");
const bar1_steel_close = () => import( "../components/steel/bar1_steel/bar1_steel_close.vue");
const bar1_steel_inbound = () => import( "../components/steel/bar1_steel/bar1_steel_inbound.vue");
const bar1_steel_inboundReal = () => import( "../components/steel/bar1_steel/bar1_steel_inboundReal.vue");
const bar1_steel_reserved = () => import( "../components/steel/bar1_steel/bar1_steel_reserved.vue");
const bar1_steel_outbound = () => import( "../components/steel/bar1_steel/bar1_steel_outbound.vue");
const bar1_steel_real = () => import( "../components/steel/bar1_steel/bar1_steel_real.vue");
const bar1_steel_realDown = () => import( "../components/steel/bar1_steel/bar1_steel_realDown.vue");
const bar1_steel_rebound = () => import( "../components/steel/bar1_steel/bar1_steel_rebound.vue");
const bar1_steel_restack = () => import( "../components/steel/bar1_steel/bar1_steel_restack.vue");
const bar1_steel_restackAdd = () => import( "../components/steel/bar1_steel/bar1_steel_restackAdd.vue");
const bar1_steel_sendreceive = () => import( "../components/steel/bar1_steel/bar1_steel_sendreceive.vue");
const bar1_steel_transfer = () => import( "../components/steel/bar1_steel/bar1_steel_transfer.vue");
const bar1_steel_checkWarehouse = () => import( "../components/steel/bar1_steel/bar1_checkWarehouse.vue");
const bar1_steel_addCheckWarehouse = () => import( "../components/steel/bar1_steel/bar1_addCheckWarehouse.vue");
const bar1_addSteelInbound = () => import( "../components/steel/bar1_steel/bar1_addSteelInbound.vue");
const bar1_addSteelReserved = () => import( "../components/steel/bar1_steel/bar1_addSteelReserved.vue");
const bar1_steel_inboundStatistics = () => import( "../components/steel/bar1_steel/bar1_steel_inboundStatistics.vue");
const bar1_steel_outboundStatistics = () => import( "../components/steel/bar1_steel/bar1_steel_outboundStatistics.vue");
const inboundEas01 = () => import( "../components/steel/bar1_steel/inboundEas01.vue");

// 二棒库路径配置
const bar2_addTransfer = () => import( "../components/steel/bar2_steel/bar2_addTransfer.vue");
const bar2_billOfLading = () => import( "../components/steel/bar2_steel/bar2_billOfLading.vue");
const bar2_billOfLadingAdd = () => import( "../components/steel/bar2_steel/bar2_billOfLadingAdd.vue");
const bar2_editSteel_restack = () => import( "../components/steel/bar2_steel/bar2_editSteel_restack.vue");
const bar2_inboundDetails = () => import( "../components/steel/bar2_steel/bar2_inboundDetails.vue");
const bar2_insertCheckInventory = () => import( "../components/steel/bar2_steel/bar2_insertCheckInventory.vue");
const bar2_insertTransfer = () => import( "../components/steel/bar2_steel/bar2_insertTransfer.vue");
const bar2_steel_check = () => import( "../components/steel/bar2_steel/bar2_steel_check.vue");
const bar2_steel_close = () => import( "../components/steel/bar2_steel/bar2_steel_close.vue");
const bar2_steel_inbound = () => import( "../components/steel/bar2_steel/bar2_steel_inbound.vue");
const bar2_steel_inboundReal = () => import( "../components/steel/bar2_steel/bar2_steel_inboundReal.vue");
const bar2_steel_reserved = () => import( "../components/steel/bar2_steel/bar2_steel_reserved.vue");
const bar2_steel_outbound = () => import( "../components/steel/bar2_steel/bar2_steel_outbound.vue");
const bar2_steel_real = () => import( "../components/steel/bar2_steel/bar2_steel_real.vue");
const bar2_steel_realDown = () => import( "../components/steel/bar2_steel/bar2_steel_realDown.vue");
const bar2_steel_rebound = () => import( "../components/steel/bar2_steel/bar2_steel_rebound.vue");
const bar2_steel_restack = () => import( "../components/steel/bar2_steel/bar2_steel_restack.vue");
const bar2_steel_restackAdd = () => import( "../components/steel/bar2_steel/bar2_steel_restackAdd.vue");
const bar2_steel_sendreceive = () => import( "../components/steel/bar2_steel/bar2_steel_sendreceive.vue");
const bar2_steel_transfer = () => import( "../components/steel/bar2_steel/bar2_steel_transfer.vue");
const bar2_steel_checkWarehouse = () => import( "../components/steel/bar2_steel/bar2_checkWarehouse.vue");
const bar2_steel_addCheckWarehouse = () => import( "../components/steel/bar2_steel/bar2_addCheckWarehouse.vue");
const bar2_addSteelInbound = () => import( "../components/steel/bar2_steel/bar2_addSteelInbound.vue");
const bar2_addSteelReserved = () => import( "../components/steel/bar2_steel/bar2_addSteelReserved.vue");
const bar2_steel_inboundStatistics = () => import( "../components/steel/bar2_steel/bar2_steel_inboundStatistics.vue");
const bar2_steel_outboundStatistics = () => import( "../components/steel/bar2_steel/bar2_steel_outboundStatistics.vue");
const wmsOrderDetails = () => import( "../components/billingOrder/orderDetails.vue");
const inboundEas02 = () => import( "../components/steel/bar2_steel/inboundEas02.vue");
Vue.use(Router);
const constantRouterMap = [
  {
    path: "/",
    name: "main",
    meta: { title: "首页", code: "xtpzgl" },
    component: main,
    redirect: { name: "intrainst_real" },
    children: [
      {
        path: "intrainst_real",
        name: "intrainst_real",
        meta: { code: "xtpzgl-jggl" },
        component: intrainst_real
      },
      {
        path: "offsite_check",
        name: "offsite_check",
        meta: { code: "xtpzgl-yhgl" },
        component: offsite_check
      },
      {
        path: "offsite_close",
        name: "offsite_close",
        meta: { code: "xtpzgl-yhgl" },
        component: offsite_close
      },
      {
        path: "offsite_inbound",
        name: "offsite_inbound",
        meta: { code: "xtpzgl-yhgl" },
        component: offsite_inbound
      },
      {
        path: "offsite_outbound",
        name: "offsite_outbound",
        meta: { code: "xtpzgl-yhgl" },
        component: offsite_outbound
      },
      {
        path: "offsite_sendreceive",
        name: "offsite_sendreceive",
        meta: { code: "xtpzgl-yhgl" },
        component: offsite_sendreceive
      },
      {
        path: "loadPortStock",
        name: "loadPortStock",
        meta: { code: "xtpzgl-yhgl" },
        component: loadPortStock
      },
      {
        path: "port_deposit_inbound_add",
        name: "port_deposit_inbound_add",
        meta: { code: "xtpzgl-yhgl" },
        component: port_deposit_inbound_add
      },
      {
        path: "port_deposit_inbound_edit/:resultId",
        name: "port_deposit_inbound_edit",
        meta: { code: "xtpzgl-yhgl" },
        component: port_deposit_inbound_edit
      },
      {
        path: "port_deposit_inbound",
        name: "port_deposit_inbound",
        meta: { code: "xtpzgl-yhgl" },
        component: port_deposit_inbound
      },
      {
        path: "port_deposit_outbound",
        name: "port_deposit_outbound",
        meta: { code: "xtpzgl-yhgl" },
        component: port_deposit_outbound
      },
      {
        path: "unloadPortStock",
        name: "unloadPortStock",
        meta: { code: "xtpzgl-yhgl" },
        component: unloadPortStock
      },
      {
        path: "addTransfer",
        name: "addTransfer",
        meta: { code: "xtpzgl-yhgl" },
        component: addTransfer
      },
      {
        path: "billOfLading",
        name: "billOfLading",
        meta: { code: "xtpzgl-yhgl" },
        component: billOfLading
      },
      {
        path: "billOfLadingAdd/:orderId",
        name: "billOfLadingAdd",
        meta: { code: "xtpzgl-yhgl" },
        component: billOfLadingAdd
      },
      {
        path: "editSteel_restack/:resultId",
        name: "editSteel_restack",
        meta: { code: "xtpzgl-yhgl" },
        component: editSteel_restack
      },
      {
        path: "inboundDetails/:inboundId",
        name: "inboundDetails",
        meta: { code: "xtpzgl-yhgl" },
        component: inboundDetails
      },
      {
        path: "insertCheckInventory",
        name: "insertCheckInventory",
        meta: { code: "xtpzgl-yhgl" },
        component: insertCheckInventory
      },
      {
        path: "insertTransfer",
        name: "insertTransfer",
        meta: { code: "xtpzgl-yhgl" },
        component: insertTransfer
      },
      {
        path: "steel_check",
        name: "steel_check",
        meta: { code: "xtpzgl-yhgl" },
        component: steel_check
      },
      {
        path: "steel_close",
        name: "steel_close",
        meta: { code: "xtpzgl-yhgl" },
        component: steel_close
      },
      {
        path: "steel_inbound",
        name: "steel_inbound",
        meta: { code: "xtpzgl-yhgl" },
        component: steel_inbound
      },
      {
        path: "steel_inboundReal",
        name: "steel_inboundReal",
        meta: { code: "xtpzgl-yhgl" },
        component: steel_inboundReal
      },
      {
        path: "steel_reserved",
        name: "steel_reserved",
        meta: { code: "xtpzgl-yhgl" },
        component: steel_reserved
      },
      {
        path: "steel_outbound",
        name: "steel_outbound",
        meta: { code: "xtpzgl-yhgl" },
        component: steel_outbound
      },
      {
        path: "steel_real",
        name: "steel_real",
        meta: { code: "xtpzgl-yhgl" },
        component: steel_real
      },
      {
        path: "steel_realDown/gridId",
        name: "steel_realDown",
        meta: { code: "xtpzgl-yhgl" },
        component: steel_realDown
      },
      {
        path: "steel_rebound",
        name: "steel_rebound",
        meta: { code: "xtpzgl-yhgl" },
        component: steel_rebound
      },
      {
        path: "steel_restack",
        name: "steel_restack",
        meta: { code: "xtpzgl-yhgl" },
        component: steel_restack
      },
      {
        path: "steel_restackAdd",
        name: "steel_restackAdd",
        meta: { code: "xtpzgl-yhgl" },
        component: steel_restackAdd
      },
      {
        path: "steel_sendreceive",
        name: "steel_sendreceive",
        meta: { code: "xtpzgl-yhgl" },
        component: steel_sendreceive
      },
      {
        path: "steel_transfer",
        name: "steel_transfer",
        meta: { code: "xtpzgl-yhgl" },
        component: steel_transfer
      },
      {
        path: "steel_checkWarehouse",
        name: "steel_checkWarehouse",
        meta: { code: "xtpzgl-yhgl" },
        component: steel_checkWarehouse
      },
      {
        path: "steel_addCheckWarehouse",
        name: "steel_addCheckWarehouse",
        meta: { code: "xtpzgl-yhgl" },
        component: steel_addCheckWarehouse
      },
      {
        path: "addSteelInbound",
        name: "addSteelInbound",
        meta: { code: "xtpzgl-yhgl" },
        component: addSteelInbound
      },
      {
        path: "addSteelReserved",
        name: "addSteelReserved",
        meta: { code: "xtpzgl-yhgl" },
        component: addSteelReserved
      },
      {
        path: "steel_inboundStatistics",
        name: "steel_inboundStatistics",
        meta: { code: "xtpzgl-yhgl" },
        component: steel_inboundStatistics
      },
      {
        path: "steel_outboundStatistics",
        name: "steel_outboundStatistics",
        meta: { code: "xtpzgl-yhgl" },
        component: steel_outboundStatistics
      },
      {
        path: "bar1_addTransfer",
        name: "bar1_addTransfer",
        meta: { code: "xtpzgl-yhgl" },
        component: bar1_addTransfer
      },
      {
        path: "bar1_billOfLading",
        name: "bar1_billOfLading",
        meta: { code: "xtpzgl-yhgl" },
        component: bar1_billOfLading
      },
      {
        path: "bar1_billOfLadingAdd/:orderId",
        name: "bar1_billOfLadingAdd",
        meta: { code: "xtpzgl-yhgl" },
        component: bar1_billOfLadingAdd
      },
      {
        path: "bar1_editSteel_restack/:resultId",
        name: "bar1_editSteel_restack",
        meta: { code: "xtpzgl-yhgl" },
        component: bar1_editSteel_restack
      },
      {
        path: "bar1_inboundDetails/:inboundId",
        name: "bar1_inboundDetails",
        meta: { code: "xtpzgl-yhgl" },
        component: bar1_inboundDetails
      },
      {
        path: "bar1_insertCheckInventory",
        name: "bar1_insertCheckInventory",
        meta: { code: "xtpzgl-yhgl" },
        component: bar1_insertCheckInventory
      },
      {
        path: "bar1_insertTransfer",
        name: "bar1_insertTransfer",
        meta: { code: "xtpzgl-yhgl" },
        component: bar1_insertTransfer
      },
      {
        path: "bar1_steel_check",
        name: "bar1_steel_check",
        meta: { code: "xtpzgl-yhgl" },
        component: bar1_steel_check
      },
      {
        path: "bar1_steel_close",
        name: "bar1_steel_close",
        meta: { code: "xtpzgl-yhgl" },
        component: bar1_steel_close
      },
      {
        path: "bar1_steel_inbound",
        name: "bar1_steel_inbound",
        meta: { code: "xtpzgl-yhgl" },
        component: bar1_steel_inbound
      },
      {
        path: "bar1_steel_inboundReal",
        name: "bar1_steel_inboundReal",
        meta: { code: "xtpzgl-yhgl" },
        component: bar1_steel_inboundReal
      },
      {
        path: "bar1_steel_reserved",
        name: "bar1_steel_reserved",
        meta: { code: "xtpzgl-yhgl" },
        component: bar1_steel_reserved
      },
      {
        path: "bar1_steel_outbound",
        name: "bar1_steel_outbound",
        meta: { code: "xtpzgl-yhgl" },
        component: bar1_steel_outbound
      },
      {
        path: "bar1_steel_real",
        name: "bar1_steel_real",
        meta: { code: "xtpzgl-yhgl" },
        component: bar1_steel_real
      },
      {
        path: "bar1_steel_realDown/gridId",
        name: "bar1_steel_realDown",
        meta: { code: "xtpzgl-yhgl" },
        component: bar1_steel_realDown
      },
      {
        path: "bar1_steel_rebound",
        name: "bar1_steel_rebound",
        meta: { code: "xtpzgl-yhgl" },
        component: bar1_steel_rebound
      },
      {
        path: "bar1_steel_restack",
        name: "bar1_steel_restack",
        meta: { code: "xtpzgl-yhgl" },
        component: bar1_steel_restack
      },
      {
        path: "bar1_steel_restackAdd",
        name: "bar1_steel_restackAdd",
        meta: { code: "xtpzgl-yhgl" },
        component: bar1_steel_restackAdd
      },
      {
        path: "bar1_steel_sendreceive",
        name: "bar1_steel_sendreceive",
        meta: { code: "xtpzgl-yhgl" },
        component: bar1_steel_sendreceive
      },
      {
        path: "bar1_steel_transfer",
        name: "bar1_steel_transfer",
        meta: { code: "xtpzgl-yhgl" },
        component: bar1_steel_transfer
      },
      {
        path: "bar1_steel_checkWarehouse",
        name: "bar1_steel_checkWarehouse",
        meta: { code: "xtpzgl-yhgl" },
        component: bar1_steel_checkWarehouse
      },
      {
        path: "bar1_steel_addCheckWarehouse",
        name: "bar1_steel_addCheckWarehouse",
        meta: { code: "xtpzgl-yhgl" },
        component: bar1_steel_addCheckWarehouse
      },
      {
        path: "bar1_addSteelInbound",
        name: "bar1_addSteelInbound",
        meta: { code: "xtpzgl-yhgl" },
        component: bar1_addSteelInbound
      },
      {
        path: "bar1_addSteelReserved",
        name: "bar1_addSteelReserved",
        meta: { code: "xtpzgl-yhgl" },
        component: bar1_addSteelReserved
      },
      {
        path: "bar1_steel_inboundStatistics",
        name: "bar1_steel_inboundStatistics",
        meta: { code: "xtpzgl-yhgl" },
        component: bar1_steel_inboundStatistics
      },
      {
        path: "bar1_steel_outboundStatistics",
        name: "bar1_steel_outboundStatistics",
        meta: { code: "xtpzgl-yhgl" },
        component: bar1_steel_outboundStatistics
      },
      {
        path: "bar2_addTransfer",
        name: "bar2_addTransfer",
        meta: { code: "xtpzgl-yhgl" },
        component: bar2_addTransfer
      },
      {
        path: "bar2_billOfLading",
        name: "bar2_billOfLading",
        meta: { code: "xtpzgl-yhgl" },
        component: bar2_billOfLading
      },
      {
        path: "bar2_billOfLadingAdd/:orderId",
        name: "bar2_billOfLadingAdd",
        meta: { code: "xtpzgl-yhgl" },
        component: bar2_billOfLadingAdd
      },
      {
        path: "bar2_editSteel_restack/:resultId",
        name: "bar2_editSteel_restack",
        meta: { code: "xtpzgl-yhgl" },
        component: bar2_editSteel_restack
      },
      {
        path: "bar2_inboundDetails/:inboundId",
        name: "bar2_inboundDetails",
        meta: { code: "xtpzgl-yhgl" },
        component: bar2_inboundDetails
      },
      {
        path: "bar2_insertCheckInventory",
        name: "bar2_insertCheckInventory",
        meta: { code: "xtpzgl-yhgl" },
        component: bar2_insertCheckInventory
      },
      {
        path: "bar2_insertTransfer",
        name: "bar2_insertTransfer",
        meta: { code: "xtpzgl-yhgl" },
        component: bar2_insertTransfer
      },
      {
        path: "bar2_steel_check",
        name: "bar2_steel_check",
        meta: { code: "xtpzgl-yhgl" },
        component: bar2_steel_check
      },
      {
        path: "bar2_steel_close",
        name: "bar2_steel_close",
        meta: { code: "xtpzgl-yhgl" },
        component: bar2_steel_close
      },
      {
        path: "bar2_steel_inbound",
        name: "bar2_steel_inbound",
        meta: { code: "xtpzgl-yhgl" },
        component: bar2_steel_inbound
      },
      {
        path: "bar2_steel_inboundReal",
        name: "bar2_steel_inboundReal",
        meta: { code: "xtpzgl-yhgl" },
        component: bar2_steel_inboundReal
      },
      {
        path: "bar2_steel_reserved",
        name: "bar2_steel_reserved",
        meta: { code: "xtpzgl-yhgl" },
        component: bar2_steel_reserved
      },
      {
        path: "bar2_steel_outbound",
        name: "bar2_steel_outbound",
        meta: { code: "xtpzgl-yhgl" },
        component: bar2_steel_outbound
      },
      {
        path: "bar2_steel_real",
        name: "bar2_steel_real",
        meta: { code: "xtpzgl-yhgl" },
        component: bar2_steel_real
      },
      {
        path: "bar2_steel_realDown/gridId",
        name: "bar2_steel_realDown",
        meta: { code: "xtpzgl-yhgl" },
        component: bar2_steel_realDown
      },
      {
        path: "bar2_steel_rebound",
        name: "bar2_steel_rebound",
        meta: { code: "xtpzgl-yhgl" },
        component: bar2_steel_rebound
      },
      {
        path: "bar2_steel_restack",
        name: "bar2_steel_restack",
        meta: { code: "xtpzgl-yhgl" },
        component: bar2_steel_restack
      },
      {
        path: "bar2_steel_restackAdd",
        name: "bar2_steel_restackAdd",
        meta: { code: "xtpzgl-yhgl" },
        component: bar2_steel_restackAdd
      },
      {
        path: "bar2_steel_sendreceive",
        name: "bar2_steel_sendreceive",
        meta: { code: "xtpzgl-yhgl" },
        component: bar2_steel_sendreceive
      },
      {
        path: "bar2_steel_transfer",
        name: "bar2_steel_transfer",
        meta: { code: "xtpzgl-yhgl" },
        component: bar2_steel_transfer
      },
      {
        path: "bar2_steel_checkWarehouse",
        name: "bar2_steel_checkWarehouse",
        meta: { code: "xtpzgl-yhgl" },
        component: bar2_steel_checkWarehouse
      },
      {
        path: "bar2_steel_addCheckWarehouse",
        name: "bar2_steel_addCheckWarehouse",
        meta: { code: "xtpzgl-yhgl" },
        component: bar2_steel_addCheckWarehouse
      },
      {
        path: "bar2_addSteelInbound",
        name: "bar2_addSteelInbound",
        meta: { code: "xtpzgl-yhgl" },
        component: bar2_addSteelInbound
      },
      {
        path: "bar2_addSteelReserved",
        name: "bar2_addSteelReserved",
        meta: { code: "xtpzgl-yhgl" },
        component: bar2_addSteelReserved
      },
      {
        path: "bar2_steel_inboundStatistics",
        name: "bar2_steel_inboundStatistics",
        meta: { code: "xtpzgl-yhgl" },
        component: bar2_steel_inboundStatistics
      },
      {
        path: "bar2_steel_outboundStatistics",
        name: "bar2_steel_outboundStatistics",
        meta: { code: "xtpzgl-yhgl" },
        component: bar2_steel_outboundStatistics
      },
      {
        path: "editBill",
        name: "editBill",
        meta: { code: "xtpzgl-yhgl" },
        component: editBill
      },
      {
        path: "wmsOrderDetails",
        name: "wmsOrderDetails",
        meta: { code: "xtpzgl-yhgl" },
        component: wmsOrderDetails
      },
      {
        path: "inboundEas01",
        name: "inboundEas01",
        meta: { code: "xtpzgl-yhgl" },
        component: inboundEas01
      },
      {
        path: "inboundEas02",
        name: "inboundEas02",
        meta: { code: "xtpzgl-yhgl" },
        component: inboundEas02
      },
      {
        path: "inboundEas03",
        name: "inboundEas03",
        meta: { code: "xtpzgl-yhgl" },
        component: inboundEas03
      }
    ]
  }
];

const router = new Router({
  routes: constantRouterMap
});
//  before
routerBefore(router, constantRouterMap);

export default router;
//  constantRouterMap
export const routes = constantRouterMap;
