import Vue from "vue";
import Router from "vue-router";

import routerBefore from "@/config/routerBefore.js";
// 主要
import main from "@/components/main.vue";
// 系统配置管理
const addSaleOrder = () => import( "../components/sale_contract/addSaleOrder.vue");
const addSalePlan = () => import( "../components/sale_contract/addSalePlan.vue");
const addSalePlanDetail = () => import( "../components/sale_contract/addSalePlanDetail.vue");
const addTransportPrice = () => import( "../components/sale_contract/addTransportPrice.vue");
const addTruckNoDetail = () => import( "../components/sale_contract/addTruckNoDetail.vue");
const editaddress = () => import( "../components/sale_contract/editaddress.vue");
const editSaleOrder = () => import( "../components/sale_contract/editSaleOrder.vue");
const editSaleOrderDetail = () => import( "../components/sale_contract/editSaleOrderDetail.vue");
const editSalePalnDetail = () => import( "../components/sale_contract/editSalePalnDetail.vue");
const editSalePlan = () => import( "../components/sale_contract/editSalePlan.vue");
const editTransportPrice = () => import( "../components/sale_contract/editTransportPrice.vue");
const editTruckNoDetail = () => import( "../components/sale_contract/editTruckNoDetail.vue");
const saleOrder = () => import( "../components/sale_contract/saleOrder.vue");
const saleOrderDetail = () => import( "../components/sale_contract/saleOrderDetail.vue");
const saleOrderDetailApproved = () => import( "../components/sale_contract/saleOrderDetailApproved.vue");
const saleOrderUpdateLog = () => import( "../components/sale_contract/saleOrderUpdateLog.vue");
const salePlan = () => import( "../components/sale_contract/salePlan.vue");
const transportPrice = () => import( "../components/sale_contract/transportPrice.vue");
const addlading = () => import( "../components/saleSelfMachine/addlading.vue");
const printLading = () => import( "../components/saleSelfMachine/printLading.vue");
const printReceipt = () => import( "../components/saleSelfMachine/printReceipt.vue");
const printScan = () => import( "../components/saleSelfMachine/printScan.vue");
const printWarranty = () => import( "../components/saleSelfMachine/printWarranty.vue");
const saleSelfMachine = () => import( "../components/saleSelfMachine/saleSelfMachine.vue");
const addCokeRailPlan = () => import( "../components/transport_appointment/railPlan/addCokeRailPlan.vue");
const addSlagRailPlan = () => import( "../components/transport_appointment/railPlan/addSlagRailPlan.vue");
const addSteelRailPlan = () => import( "../components/transport_appointment/railPlan/addSteelRailPlan.vue");
const cokeRailPlan = () => import( "../components/transport_appointment/railPlan/cokeRailPlan.vue");
const slagRailPlan = () => import( "../components/transport_appointment/railPlan/slagRailPlan.vue");
const steelRailPlan = () => import( "../components/transport_appointment/railPlan/steelRailPlan.vue");
const updateCokeRailPlan = () => import( "../components/transport_appointment/railPlan/updateCokeRailPlan.vue");
const updateSlagRailPlan = () => import( "../components/transport_appointment/railPlan/updateSlagRailPlan.vue");
const updateSteelRailPlan = () => import( "../components/transport_appointment/railPlan/updateSteelRailPlan.vue");
const addOpenDistribution = () => import( "../components/transport_appointment/addOpenDistribution.vue");
const directionalDispatch = () => import( "../components/transport_appointment/directionalDispatch.vue");
const openDistribution = () => import( "../components/transport_appointment/openDistribution.vue");
const openDistributionSection = () => import( "../components/transport_appointment/openDistributionSection.vue");
const orderGrabbing = () => import( "../components/transport_appointment/orderGrabbing.vue");

const selfNotice = () => import( "../components/dilNotice/selfNotice.vue");
const add_sale_dilNotice = () => import( "../components/dilNotice/add_sale_dilNotice.vue");
const Carrier_dilNotice = () => import( "../components/dilNotice/Carrier_dilNotice.vue");
const sale_dilNotice = () => import( "../components/dilNotice/sale_dilNotice.vue");
const addNotice = () => import( "../components/dilNotice/addNotice.vue");
const addNotice1 = () => import( "../components/dilNotice/addNotice1.vue");
const addNotice2 = () => import( "../components/dilNotice/addNotice2.vue");
const carrierNotice = () => import( "../components/dilNotice/carrierNotice.vue");
const clientNotice = () => import( "../components/dilNotice/clientNotice.vue");
const editNotice = () => import( "../components/dilNotice/editNotice.vue");
const editNotice2 = () => import( "../components/dilNotice/editNotice2.vue");
const editNotice3 = () => import( "../components/dilNotice/editNotice3.vue");
const getNoticeById = () => import( "../components/dilNotice/getNoticeById.vue");
const getNoticeById2 = () => import( "../components/dilNotice/getNoticeById2.vue");
const getNoticeById3 = () => import( "../components/dilNotice/getNoticeById3.vue");
const marketingNotice = () => import( "../components/dilNotice/marketingNotice.vue");
const newNotice = () => import( "../components/dilNotice/newNotice.vue");

const outFactoryResult = () => import( "../components/transport_excute/outFactory/outFactoryResult.vue");
const smsResult = () => import( "../components/transport_excute/outFactory/smsResult.vue");
const arrivalPhoto = () => import( "../components/transport_excute/tms-offsite/arrivalPhoto.vue");
const arrivalResult = () => import( "../components/transport_excute/tms-offsite/arrivalResult.vue");
const transportationPerformance = () => import( "../components/offSiteTransportation/transportationPerformance.vue");
const distance = () => import( "../components/transport_excute/tms-offsite/distance.vue");
// const inTransit = () => import( '../components/transport_excute/offSiteTransportation/inTransit.vue')
const inTransitAbnormal = () => import( "../components/transport_excute/tms-offsite/inTransitAbnormal.vue");
const inTransitAlarm = () => import( "../components/transport_excute/tms-offsite/inTransitAlarm.vue");
const inTransitOrderMileage = () => import( "../components/transport_excute/tms-offsite/inTransitOrderMileage.vue");
const pathView = () => import( "../components/transport_excute/tms-offsite/pathView.vue");
const receiptChildPhoto = () => import( "../components/transport_excute/tms-offsite/receiptChildPhoto.vue");
const receiptPhoto = () => import( "../components/transport_excute/tms-offsite/receiptPhoto.vue");
const receiptResult = () => import( "../components/transport_excute/tms-offsite/receiptResult.vue");
const transportInfo = () => import( "../components/transport_excute/tms-offsite/transportInfo.vue");
const enFactoryResult = () => import( "../components/transport_excute/enFactoryResult.vue");
const grossWeightResult = () => import( "../components/transport_excute/grossWeightResult.vue");
const loadTruckResult = () => import( "../components/transport_excute/loadTruckResult.vue");
const qualityResult = () => import( "../components/transport_excute/qualityResult.vue");
const returnResult = () => import( "../components/transport_excute/returnResult.vue");
const tareWeightResult = () => import( "../components/transport_excute/tareWeightResult.vue");
const disatchSteelSaleOrderAdd = () => import( "../components/transport_order/disatchSteelSaleOrderAdd.vue");
const dispatchCokeRailPlan = () => import( "../components/transport_order/dispatchCokeRailPlan.vue");
const dispatchCokeRailPlanAdd = () => import( "../components/transport_order/dispatchCokeRailPlanAdd.vue");
const dispatchCokeRailPlanCheck = () => import( "../components/transport_order/dispatchCokeRailPlanCheck.vue");
const dispatchOrder = () => import( "../components/transport_order/dispatchOrder.vue");
const dispatchSlagDayPlanAdd = () => import( "../components/transport_order/dispatchSlagDayPlanAdd.vue");
const dispatchSlagDayPlanCheck = () => import( "../components/transport_order/dispatchSlagDayPlanCheck.vue");
const dispatchSlagRailPlan = () => import( "../components/transport_order/dispatchSlagRailPlan.vue");
const dispatchSteelSaleOrder = () => import( "../components/transport_order/dispatchSteelSaleOrder.vue");
const dispatchSteelSaleOrderCheck = () => import( "../components/transport_order/dispatchSteelSaleOrderCheck.vue");
const receiveOrder = () => import( "../components/transport_order/receiveOrder.vue");
const saleChemicalCokeOrder = () => import( "../components/transport_order/saleChemicalCokeOrder.vue");
const saleCoproductOrder = () => import( "../components/transport_order/saleCoproductOrder.vue");
const saleSteelOrder = () => import( "../components/transport_order/saleSteelOrder.vue");
const addBmsTrainFreight = () => import( "../components/transportFreight/saleTrainSettlement/addBmsTrainFreight.vue");
const bmsTrainFreight = () => import( "../components/transportFreight/saleTrainSettlement/bmsTrainFreight.vue");
const updateBmsTrainFreight = () => import( "../components/transportFreight/saleTrainSettlement/updateBmsTrainFreight.vue");
const addBmsTruckInvoice = () => import( "../components/transportFreight/saleTruckSettlement/addBmsTruckInvoice.vue");
const addBmsTruckStatement = () => import( "../components/transportFreight/saleTruckSettlement/addBmsTruckStatement.vue");
const bmsTruckAudit = () => import( "../components/transportFreight/saleTruckSettlement/bmsTruckAudit.vue");
const bmsTruckDetailOrder = () => import( "../components/transportFreight/saleTruckSettlement/bmsTruckDetailOrder.vue");
const bmsTruckDetailsOrderNew = () => import( "../components/transportFreight/saleTruckSettlement/bmsTruckDetailsOrderNew.vue");
const bmsTruckFormula = () => import( "../components/transportFreight/saleTruckSettlement/bmsTruckFormula.vue");
const bmsTruckInvoice = () => import( "../components/transportFreight/saleTruckSettlement/bmsTruckInvoice.vue");
const bmsTruckStatement = () => import( "../components/transportFreight/saleTruckSettlement/bmsTruckStatement.vue");
const bmsTruckStatementNew = () => import( "../components/transportFreight/saleTruckSettlement/bmsTruckStatementNew.vue");
const getBmsTruckStatementOrder = () => import( "../components/transportFreight/saleTruckSettlement/getBmsTruckStatementOrder.vue");
const getTransportResult = () => import( "../components/transportFreight/saleTruckSettlement/getTransportResult.vue");
const mapTest = () => import( "../components/offSiteTransportation/mapTest.vue");
const checkGPS = () => import( "../components/offSiteTransportation/checkGPS.vue");
const currentLocation = () => import( "../components/offSiteTransportation/currentLocation.vue");
const inTransit = () => import( "../components/offSiteTransportation/inTransit.vue");
const inTransitWarn = () => import( "../components/offSiteTransportation/inTransitWarn.vue");
//测试数据
//添加销售钢材汽运结算
const bmsTruckSteelDetails = () => import( "@/views/sale/components/transportFreight/saleTruckSettlement/bmsTruckSteelDetails.vue");
const bmsTruckSteelStatement = () => import( "@/views/sale/components/transportFreight/saleTruckSettlement/bmsTruckSteelStatement.vue");

Vue.use(Router);
const constantRouterMap = [
  {
    path: "/",
    name: "main",
    meta: { title: "首页", code: "xtpzgl" },
    component: main,
    redirect: { name: "addSaleOrder" },
    children: [
      {
        path: "addSaleOrder",
        name: "addSaleOrder",
        meta: { code: "xtpzgl-jggl" },
        component: addSaleOrder
      },
      {
        path: "addSalePlan",
        name: "addSalePlan",
        meta: { code: "xtpzgl-yhgl" },
        component: addSalePlan
      },
      {
        path: "addSalePlanDetail/:planId",
        name: "addSalePlanDetail",
        meta: { code: "xtpzgl-yhgl" },
        component: addSalePlanDetail
      },
      {
        path: "addTransportPrice",
        name: "addTransportPrice",
        meta: { code: "xtpzgl-yhgl" },
        component: addTransportPrice
      },
      {
        path: "addTruckNoDetail/:saleOrderMaterialId",
        name: "addTruckNoDetail",
        meta: { code: "xtpzgl-yhgl" },
        component: addTruckNoDetail
      },
      {
        path: "editaddress/:saleOrderMaterialId",
        name: "editaddress",
        meta: { code: "xtpzgl-yhgl" },
        component: editaddress
      },
      {
        path: "editSaleOrder/:saleOrderId",
        name: "editSaleOrder",
        meta: { code: "xtpzgl-yhgl" },
        component: editSaleOrder
      },
      {
        path: "editSaleOrderDetail/:saleOrderMaterialId",
        name: "editSaleOrderDetail",
        meta: { code: "xtpzgl-yhgl" },
        component: editSaleOrderDetail
      },
      {
        path: "editSalePalnDetail/:planMaterialId",
        name: "editSalePalnDetail",
        meta: { code: "xtpzgl-yhgl" },
        component: editSalePalnDetail
      },
      {
        path: "editSalePlan/:planId",
        name: "editSalePlan",
        meta: { code: "xtpzgl-yhgl" },
        component: editSalePlan
      },
      {
        path: "editTransportPrice/:priceId",
        name: "editTransportPrice",
        meta: { code: "xtpzgl-yhgl" },
        component: editTransportPrice
      },
      {
        path: "editTruckNoDetail/:trucknoMaterialId",
        name: "editTruckNoDetail",
        meta: { code: "xtpzgl-yhgl" },
        component: editTruckNoDetail
      },
      {
        path: "saleOrder",
        name: "saleOrder",
        meta: { code: "xtpzgl-yhgl" },
        component: saleOrder
      },
      {
        path: "saleOrderDetail/:saleOrderId",
        name: "saleOrderDetail",
        meta: { code: "xtpzgl-yhgl" },
        component: saleOrderDetail
      },
      {
        path: "saleOrderDetailApproved/:saleOrderId",
        name: "saleOrderDetailApproved",
        meta: { code: "xtpzgl-yhgl" },
        component: saleOrderDetailApproved
      },
      {
        path: "saleOrderUpdateLog/:saleOrderId",
        name: "saleOrderUpdateLog",
        meta: { code: "xtpzgl-yhgl" },
        component: saleOrderUpdateLog
      },
      {
        path: "salePlan",
        name: "salePlan",
        meta: { code: "xtpzgl-yhgl" },
        component: salePlan
      },
      {
        path: "transportPrice",
        name: "transportPrice",
        meta: { code: "xtpzgl-yhgl" },
        component: transportPrice
      },
      {
        path: "addlading",
        name: "addlading",
        meta: { code: "xtpzgl-yhgl" },
        component: addlading
      },
      {
        path: "printLading",
        name: "printLading",
        meta: { code: "xtpzgl-yhgl" },
        component: printLading
      },
      {
        path: "printReceipt",
        name: "printReceipt",
        meta: { code: "xtpzgl-yhgl" },
        component: printReceipt
      },
      {
        path: "printScan",
        name: "printScan",
        meta: { code: "xtpzgl-yhgl" },
        component: printScan
      },
      {
        path: "printWarranty",
        name: "printWarranty",
        meta: { code: "xtpzgl-yhgl" },
        component: printWarranty
      },
      {
        path: "saleSelfMachine",
        name: "saleSelfMachine",
        meta: { code: "xtpzgl-yhgl" },
        component: saleSelfMachine
      },
      {
        path: "addCokeRailPlan",
        name: "addCokeRailPlan",
        meta: { code: "xtpzgl-yhgl" },
        component: addCokeRailPlan
      },
      {
        path: "addSlagRailPlan",
        name: "addSlagRailPlan",
        meta: { code: "xtpzgl-yhgl" },
        component: addSlagRailPlan
      },
      {
        path: "addSteelRailPlan",
        name: "addSteelRailPlan",
        meta: { code: "xtpzgl-yhgl" },
        component: addSteelRailPlan
      },
      {
        path: "cokeRailPlan",
        name: "cokeRailPlan",
        meta: { code: "xtpzgl-yhgl" },
        component: cokeRailPlan
      },
      {
        path: "slagRailPlan",
        name: "slagRailPlan",
        meta: { code: "xtpzgl-yhgl" },
        component: slagRailPlan
      },
      {
        path: "steelRailPlan",
        name: "steelRailPlan",
        meta: { code: "xtpzgl-yhgl" },
        component: steelRailPlan
      },
      {
        path: "updateCokeRailPlan/:dayPlanId",
        name: "updateCokeRailPlan",
        meta: { code: "xtpzgl-yhgl" },
        component: updateCokeRailPlan
      },
      {
        path: "updateSlagRailPlan/:dayPlanId",
        name: "updateSlagRailPlan",
        meta: { code: "xtpzgl-yhgl" },
        component: updateSlagRailPlan
      },
      {
        path: "updateSteelRailPlan/:dayPlanId",
        name: "updateSteelRailPlan",
        meta: { code: "xtpzgl-yhgl" },
        component: updateSteelRailPlan
      },
      {
        path: "addOpenDistribution",
        name: "addOpenDistribution",
        meta: { code: "xtpzgl-yhgl" },
        component: addOpenDistribution
      },
      {
        path: "directionalDispatch",
        name: "directionalDispatch",
        meta: { code: "xtpzgl-yhgl" },
        component: directionalDispatch
      },
      {
        path: "openDistribution",
        name: "openDistribution",
        meta: { code: "xtpzgl-yhgl" },
        component: openDistribution
      },
      {
        path: "openDistributionSection/:dispatchId",
        name: "openDistributionSection",
        meta: { code: "xtpzgl-yhgl" },
        component: openDistributionSection
      },
      {
        path: "orderGrabbing",
        name: "orderGrabbing",
        meta: { code: "xtpzgl-yhgl" },
        component: orderGrabbing
      },

      {
        path: "add_sale_dilNotice",
        name: "add_sale_dilNotice",
        meta: { code: "xtpzgl-yhgl" },
        component: add_sale_dilNotice
      },
      {
        path: "selfNotice",
        name: "selfNotice",
        meta: { code: "xtpzgl-yhgl" },
        component: selfNotice
      },
      {
        path: "Carrier_dilNotice",
        name: "Carrier_dilNotice",
        meta: { code: "xtpzgl-yhgl" },
        component: Carrier_dilNotice
      },
      {
        path: "sale_dilNotice",
        name: "sale_dilNotice",
        meta: { code: "xtpzgl-yhgl" },
        component: sale_dilNotice
      },
      {
        path: "addNotice",
        name: "addNotice",
        meta: { code: "xtpzgl-yhgl" },
        component: addNotice
      },
      {
        path: "addNotice1",
        name: "addNotice1",
        meta: { code: "xtpzgl-yhgl" },
        component: addNotice1
      },
      {
        path: "addNotice2",
        name: "addNotice2",
        meta: { code: "xtpzgl-yhgl" },
        component: addNotice2
      },
      {
        path: "carrierNotice",
        name: "carrierNotice",
        meta: { code: "xtpzgl-yhgl" },
        component: carrierNotice
      },
      {
        path: "clientNotice",
        name: "clientNotice",
        meta: { code: "xtpzgl-yhgl" },
        component: clientNotice
      },
      {
        path: "editNotice/:noticeId",
        name: "editNotice",
        meta: { code: "xtpzgl-yhgl" },
        component: editNotice
      },
      {
        path: "editNotice2/:noticeId",
        name: "editNotice2",
        meta: { code: "xtpzgl-yhgl" },
        component: editNotice2
      },
      {
        path: "editNotice3/:noticeId",
        name: "editNotice3",
        meta: { code: "xtpzgl-yhgl" },
        component: editNotice3
      },
      {
        path: "getNoticeById/:noticeId",
        name: "getNoticeById",
        meta: { code: "xtpzgl-yhgl" },
        component: getNoticeById
      },
      {
        path: "getNoticeById2/:noticeId",
        name: "getNoticeById2",
        meta: { code: "xtpzgl-yhgl" },
        component: getNoticeById2
      },
      {
        path: "getNoticeById3/:noticeId",
        name: "getNoticeById3",
        meta: { code: "xtpzgl-yhgl" },
        component: getNoticeById3
      },
      {
        path: "marketingNotice",
        name: "marketingNotice",
        meta: { code: "xtpzgl-yhgl" },
        component: marketingNotice
      },
      {
        path: "newNotice",
        name: "newNotice",
        meta: { code: "xtpzgl-yhgl" },
        component: newNotice
      },

      {
        path: "outFactoryResult",
        name: "outFactoryResult",
        meta: { code: "xtpzgl-yhgl" },
        component: outFactoryResult
      },
      {
        path: "smsResult",
        name: "smsResult",
        meta: { code: "xtpzgl-jggl" },
        component: smsResult
      },
      {
        path: "arrivalPhoto",
        name: "arrivalPhoto",
        meta: { code: "xtpzgl-yhgl" },
        component: arrivalPhoto
      },
      {
        path: "arrivalResult",
        name: "arrivalResult",
        meta: { code: "xtpzgl-yhgl" },
        component: arrivalResult
      },
      {
        path: "distance",
        name: "distance",
        meta: { code: "xtpzgl-yhgl" },
        component: distance
      },
      {
        path: "inTransit",
        name: "inTransit",
        meta: { code: "xtpzgl-yhgl" },
        component: inTransit
      },
      {
        path: "inTransitAbnormal",
        name: "inTransitAbnormal",
        meta: { code: "xtpzgl-yhgl" },
        component: inTransitAbnormal
      },
      {
        path: "inTransitAlarm",
        name: "inTransitAlarm",
        meta: { code: "xtpzgl-yhgl" },
        component: inTransitAlarm
      },
      {
        path: "inTransitOrderMileage",
        name: "inTransitOrderMileage",
        meta: { code: "xtpzgl-yhgl" },
        component: inTransitOrderMileage
      },
      {
        path: "pathView",
        name: "pathView",
        meta: { code: "xtpzgl-yhgl" },
        component: pathView
      },
      {
        path: "receiptChildPhoto",
        name: "receiptChildPhoto",
        meta: { code: "xtpzgl-yhgl" },
        component: receiptChildPhoto
      },
      {
        path: "receiptPhoto",
        name: "receiptPhoto",
        meta: { code: "xtpzgl-yhgl" },
        component: receiptPhoto
      },
      {
        path: "receiptResult",
        name: "receiptResult",
        meta: { code: "xtpzgl-yhgl" },
        component: receiptResult
      },
      {
        path: "transportInfo",
        name: "transportInfo",
        meta: { code: "xtpzgl-yhgl" },
        component: transportInfo
      },
      {
        path: "enFactoryResult",
        name: "enFactoryResult",
        meta: { code: "xtpzgl-yhgl" },
        component: enFactoryResult
      },
      {
        path: "grossWeightResult",
        name: "grossWeightResult",
        meta: { code: "xtpzgl-jggl" },
        component: grossWeightResult
      },
      {
        path: "loadTruckResult",
        name: "loadTruckResult",
        meta: { code: "xtpzgl-yhgl" },
        component: loadTruckResult
      },
      {
        path: "qualityResult",
        name: "qualityResult",
        meta: { code: "xtpzgl-yhgl" },
        component: qualityResult
      },
      {
        path: "returnResult",
        name: "returnResult",
        meta: { code: "xtpzgl-yhgl" },
        component: returnResult
      },
      {
        path: "tareWeightResult",
        name: "tareWeightResult",
        meta: { code: "xtpzgl-yhgl" },
        component: tareWeightResult
      },
      {
        path: "disatchSteelSaleOrderAdd",
        name: "disatchSteelSaleOrderAdd",
        meta: { code: "xtpzgl-yhgl" },
        component: disatchSteelSaleOrderAdd
      },
      {
        path: "dispatchCokeRailPlan",
        name: "dispatchCokeRailPlan",
        meta: { code: "xtpzgl-yhgl" },
        component: dispatchCokeRailPlan
      },
      {
        path: "dispatchCokeRailPlanAdd",
        name: "dispatchCokeRailPlanAdd",
        meta: { code: "xtpzgl-yhgl" },
        component: dispatchCokeRailPlanAdd
      },
      {
        path: "dispatchCokeRailPlanCheck",
        name: "dispatchCokeRailPlanCheck",
        meta: { code: "xtpzgl-yhgl" },
        component: dispatchCokeRailPlanCheck
      },
      {
        path: "dispatchOrder",
        name: "dispatchOrder",
        meta: { code: "xtpzgl-yhgl" },
        component: dispatchOrder
      },
      {
        path: "dispatchSlagDayPlanAdd",
        name: "dispatchSlagDayPlanAdd",
        meta: { code: "xtpzgl-yhgl" },
        component: dispatchSlagDayPlanAdd
      },
      {
        path: "dispatchSlagDayPlanCheck",
        name: "dispatchSlagDayPlanCheck",
        meta: { code: "xtpzgl-yhgl" },
        component: dispatchSlagDayPlanCheck
      },
      {
        path: "dispatchSlagRailPlan",
        name: "dispatchSlagRailPlan",
        meta: { code: "xtpzgl-yhgl" },
        component: dispatchSlagRailPlan
      },
      {
        path: "dispatchSteelSaleOrder",
        name: "dispatchSteelSaleOrder",
        meta: { code: "xtpzgl-yhgl" },
        component: dispatchSteelSaleOrder
      },
      {
        path: "dispatchSteelSaleOrderCheck",
        name: "dispatchSteelSaleOrderCheck",
        meta: { code: "xtpzgl-jggl" },
        component: dispatchSteelSaleOrderCheck
      },
      {
        path: "receiveOrder",
        name: "receiveOrder",
        meta: { code: "xtpzgl-yhgl" },
        component: receiveOrder
      },
      {
        path: "saleChemicalCokeOrder",
        name: "saleChemicalCokeOrder",
        meta: { code: "xtpzgl-yhgl" },
        component: saleChemicalCokeOrder
      },
      {
        path: "saleCoproductOrder",
        name: "saleCoproductOrder",
        meta: { code: "xtpzgl-yhgl" },
        component: saleCoproductOrder
      },
      {
        path: "saleSteelOrder",
        name: "saleSteelOrder",
        meta: { code: "xtpzgl-yhgl" },
        component: saleSteelOrder
      },
      {
        path: "addBmsTrainFreight",
        name: "addBmsTrainFreight",
        meta: { code: "xtpzgl-yhgl" },
        component: addBmsTrainFreight
      },
      {
        path: "bmsTrainFreight",
        name: "bmsTrainFreight",
        meta: { code: "xtpzgl-yhgl" },
        component: bmsTrainFreight
      },
      {
        path: "updateBmsTrainFreight/:settlementId",
        name: "updateBmsTrainFreight",
        meta: { code: "xtpzgl-yhgl" },
        component: updateBmsTrainFreight
      },
      {
        path: "addBmsTruckInvoice",
        name: "addBmsTruckInvoice",
        meta: { code: "xtpzgl-yhgl" },
        component: addBmsTruckInvoice
      },
      {
        path: "addBmsTruckStatement",
        name: "addBmsTruckStatement",
        meta: { code: "xtpzgl-yhgl" },
        component: addBmsTruckStatement
      },
      {
        path: "bmsTruckAudit/:statementId",
        name: "bmsTruckAudit",
        meta: { code: "xtpzgl-yhgl" },
        component: bmsTruckAudit
      },
      {
        path: "bmsTruckDetailOrder",
        name: "bmsTruckDetailOrder",
        meta: { code: "xtpzgl-yhgl" },
        component: bmsTruckDetailOrder
      },
      {
        path: "bmsTruckDetailsOrderNew",
        name: "bmsTruckDetailsOrderNew",
        meta: { code: "xtpzgl-yhgl" },
        component: bmsTruckDetailsOrderNew
      },
      {
        path: "bmsTruckFormula",
        name: "bmsTruckFormula",
        meta: { code: "xtpzgl-yhgl" },
        component: bmsTruckFormula
      },
      {
        path: "bmsTruckInvoice",
        name: "bmsTruckInvoice",
        meta: { code: "xtpzgl-yhgl" },
        component: bmsTruckInvoice
      },
      {
        path: "bmsTruckStatement",
        name: "bmsTruckStatement",
        meta: { code: "xtpzgl-yhgl" },
        component: bmsTruckStatement
      },
      {
        path: "bmsTruckStatementNew",
        name: "bmsTruckStatementNew",
        meta: { code: "xtpzgl-yhgl" },
        component: bmsTruckStatementNew
      },
      {
        path: "getBmsTruckStatementOrder/:statementId",
        name: "getBmsTruckStatementOrder",
        meta: { code: "xtpzgl-yhgl" },
        component: getBmsTruckStatementOrder
      },
      {
        path: "getTransportResult/:orderId",
        name: "getTransportResult",
        meta: { code: "xtpzgl-yhgl" },
        component: getTransportResult
      },
      {
        path: "mapTest",
        name: "mapTest",
        meta: { code: "xtpzgl-yhgl" },
        component: mapTest
      },
      {
        path: "checkGPS",
        name: "checkGPS",
        meta: { code: "xtpzgl-yhgl" },
        component: checkGPS
      },
      {
        path: "currentLocation",
        name: "currentLocation",
        meta: { code: "xtpzgl-yhgl" },
        component: currentLocation
      },
      {
        path: "inTransitWarn",
        name: "inTransitWarn",
        meta: { code: "xtpzgl-yhgl" },
        component: inTransitWarn
      },
      {
        path: "transportationPerformance",
        name: "transportationPerformance",
        meta: { code: "xtpzgl-yhgl" },
        component: transportationPerformance
      },
      {
        path: "bmsTruckSteelDetails",
        name: "bmsTruckSteelDetails",
        meta: { code: "xtpzgl-yhgl" },
        component: bmsTruckSteelDetails
      },
      {
        path: "bmsTruckSteelStatement",
        name: "bmsTruckSteelStatement",
        meta: { code: "xtpzgl-yhgl" },
        component: bmsTruckSteelStatement
      }
    ]
  }
];
const router = new Router({
  routes: constantRouterMap
});
//  before
routerBefore(router, constantRouterMap);

export default router;
//  constantRouterMap
export const routes = constantRouterMap;
